Name: libgc
Version: 6.7
Release: alt0.1

Summary: Boehm garbage collector
Summary(ru_RU.KOI8-R):   Boehm

License: See README.QUICK for Copyright notes
Group: Development/C
Url: http://www.hpl.hp.com/personal/Hans_Boehm/gc/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %url/gc_source/gc%version.tar.bz2
Patch: gc-6.6-no-undefined.patch

# Automatically added by buildreq on Sun Jan 30 2005
BuildRequires: gcc-c++ glibc-devel-static hostinfo

%description
The Boehm-Demers-Weiser conservative garbage collector can be used as a
garbage collecting replacement for C malloc or C++ new. Alternatively,
it may be used as a leak detector for C or C++ programs, though that is
not its primary goal.

%description -l ru_RU.KOI8-R
   Boehm-Demers-Weiser,   
   C malloc  C++ new,    .
        
   C  C++,      .

%package devel
Summary: Header files for libgc
Summary(ru_RU.KOI8-R):    libgc
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contain header files for Boehm garbage collector.

%description -l ru_RU.KOI8-R
       Boehm.

%package devel-static
Summary: Static library files libgc
Summary(ru_RU.KOI8-R):   libgc
Group: Development/C
Requires: %name = %version-%release

%description devel-static
This package contain static libraries Boehm garbage collector.

%description -l ru_RU.KOI8-R
      Boehm.

%prep
%setup -q -n gc%version
%patch -p1

%build
%__rm -f libtool.m4
%__libtoolize --copy --force
%__autoreconf
%add_optflags -DUSE_LIBC_PRIVATES=1
%configure --includedir=%_includedir/gc \
    --enable-threads=pthreads \
	 --enable-shared=yes \
	 --enable-cplusplus \
	 --enable-static=yes

%make

%install

%makeinstall

mkdir -p %buildroot%_man3dir/
install -m 644 doc/gc.man %buildroot%_man3dir/gc.3

%__rm -rf %buildroot%_datadir/gc
%__rm -r %buildroot%_includedir/*.h

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc doc/README* doc/*.html README.QUICK doc/barrett_diagram
%_libdir/*.so.*

%files devel
%_includedir/*
%_man3dir/*
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Mon Jun 05 2006 Vitaly Lipatov <lav@altlinux.ru> 6.7-alt0.1
- new version 6.7 (with rpmrb script)
- apply missed patch against unresolved symbols :)

* Thu Feb 09 2006 Anton Farygin <rider@altlinux.ru> 6.6-alt2
- NMU: fixed unresolved symbols on x86_64

* Sun Nov 13 2005 Vitaly Lipatov <lav@altlinux.ru> 6.6-alt1
- new version

* Sat Mar 19 2005 Vitaly Lipatov <lav@altlinux.ru> 6.4-alt2
- add USE_LIBC_PRIVATES=1 (fix bug #6282)

* Sun Jan 30 2005 Vitaly Lipatov <lav@altlinux.ru> 6.4-alt1
- new version

* Tue Oct 19 2004 Vitaly Lipatov <lav@altlinux.ru> 6.3-alt1
- new version
- enable C++ support
- cleanup spec

* Sat Dec 13 2003 Ott Alex <ott@altlinux.ru> 6.2-alt2
- Remove .la files

* Sat Jun 28 2003 Alex Ott <ott@altlinux.ru> 6.2-alt1
- New version
- Split into static devel

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 6.1-alt3
- Fixing spec

* Sun Sep 15 2002 Ott Alex <ott@altlinux.ru> 6.1-alt1
- Initial build

